Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# bson_writer_rollback()

## Synopsis

    void
    bson_writer_rollback (bson_writer_t *writer);

## Parameters

- `writer`: A bson_writer_t.

## Description

Abort the appending of the current bson_t to the memory region managed by `writer`. This is useful if you detected that you went past a particular memory limit. For example, MongoDB has 48MB message limits.